ScriptMapper (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.optional, class: ScriptMapper

Package org.apache.tools.ant.types.optional

# Class ScriptMapper

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.optional.AbstractScriptComponent
org.apache.tools.ant.types.optional.ScriptMapper

All Implemented Interfaces:
  `java.lang.Cloneable`, `FileNameMapper`

    public class ScriptMapper
    extends AbstractScriptComponent
    implements FileNameMapper

Script support at map time.

Since:
  Ant1.7

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ScriptMapper()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addMappedName​(java.lang.String mapping)` | Add a mapped name
  `void` | `clear()` | Reset the list of files
  `java.lang.String[]` | `mapFileName​(java.lang.String sourceFileName)` | Returns an array containing the target filename(s) for the given source file.
  `void` | `setFrom​(java.lang.String from)` | Sets the from part of the transformation rule.
  `void` | `setTo​(java.lang.String to)` | Sets the to part of the transformation rule.

  ### Methods inherited from class org.apache.tools.ant.types.optional.AbstractScriptComponent

  `addText, createClasspath, executeScript, getRunner, initScriptRunner, setClasspath, setClasspathRef, setEncoding, setLanguage, setManager, setProject, setSetBeans, setSrc`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScriptMapper

    public ScriptMapper()

- ## Method Details

  - ### setFrom

    public void setFrom​(java.lang.String from)
    Sets the from part of the transformation rule.
    Specified by:
      `setFrom` in interface `FileNameMapper`
    Parameters:
      `from` - a string.

  - ### setTo

    public void setTo​(java.lang.String to)
    Sets the to part of the transformation rule.
    Specified by:
      `setTo` in interface `FileNameMapper`
    Parameters:
      `to` - a string.

  - ### clear

    public void clear()
    Reset the list of files

  - ### addMappedName

    public void addMappedName​(java.lang.String mapping)
    Add a mapped name
    Parameters:
      `mapping` - the value to use.

  - ### mapFileName

    public java.lang.String[] mapFileName​(java.lang.String sourceFileName)
    Returns an array containing the target filename(s) for the given source file.

    if the given rule doesn't apply to the source file, implementation must return null. SourceFileScanner will then omit the source file in question.

    Specified by:
      `mapFileName` in interface `FileNameMapper`
    Parameters:
      `sourceFileName` - the name of the source file relative to some given basedirectory.
    Returns:
      an array of strings if the rule applies to the source file, or null if it does not.